搜索尾派小包
根据跟踪号、参考 ID 或内部尾派小包 ID 搜索尾派小包。
端点: GET /api/shipments
所需权限 (Scope): shipments:read
请求规范 (查询参数)
| 参数 | 类型 | 必填 | 描述 |
|---|---|---|---|
| Numbers | string | 是 | 以逗号 , 分隔的待搜索号码列表。 |
| NumberType | string | 否 | 提供的号码类型 (ShipmentId, TrackingNumber, ReferenceId)。默认值为 ShipmentId。 |
| Page | int | 否 | 页码(默认:1)。 |
| PageSize | int | 否 | 每页条目数(默认:10)。 |
响应规范
返回包装在 Result 中的分页 Shipment 对象列表。
| 属性 | 类型 | 描述 |
|---|---|---|
| Elements | Shipment[] | 符合条件的尾派小包列表。 |
| TotalItemCount | int | 找到的尾派小包总数。 |
| PageNumber | int | 当前页码。 |
| PageSize | int | 每页条目数。 |
示例 JSON
请求
GET /api/shipments?Numbers=9234690327908700395257&NumberType=TrackingNumber
响应
{
"Data": {
"Elements": [
{
"Id": "2603XSHPT00001CE",
"AccountNo": "DAC0001",
"ReferenceId": "API-TESTREF20260323002",
"ShippingProductId": "TEST_01",
"ToAddress": {
"Company": "Receiver Corp",
"Street1": "123 Main St",
"Street2": "Suite 456",
"Street3": "",
"City": "Los Angeles",
"Province": "CA",
"CountryCode": "US",
"Postcode": "90001",
"ContactName": "John Doe",
"Tel": "628 212 8833",
"TaxId": ""
},
"FromAddress": {
"Company": "Online Seller",
"Street1": "136 E De La Guerra St",
"Street2": "",
"Street3": "",
"City": "Santa Barbara",
"Province": "CA",
"CountryCode": "US",
"Postcode": "93101",
"ContactName": "Jane Smith",
"Tel": "423 877 8832",
"TaxId": ""
},
"ReturnAddress": null,
"Weight": {
"Value": 1.0,
"Unit": "LB"
},
"Size": {
"Length": 25.4,
"Width": 12.7,
"Height": 7.62,
"Unit": "IN"
},
"DeclaredValue": {
"Code": "USD",
"Value": 20.0
},
"ShipDate": "2026-03-23",
"Notes": "",
"Quote": {
"QuotationType": "Basic",
"Fees": [
{
"FeeType": "BASE",
"Amount": 9.09
},
{
"FeeType": "REGISTRATION",
"Amount": 5.0
},
{
"FeeType": "NON_STANDARD_LENGTH",
"Amount": 4.5
}
],
"Total": 18.59,
"Weight": 1.0,
"DimensionalWeight": 14.808,
"FeeWeight": 14.808,
"FeeWeightType": "DimensionalWeight",
"PriceZone": "2",
"WeightUnit": "LB",
"LengthUnit": "IN",
"CurrencyCode": "USD"
},
"Carrier": {
"Status": "Created",
"Barcode": "420900019200190327908701117139",
"Message": ""
},
"TrackingNumber": "9234690327908700395257",
"CreateAt": "2026-03-23T08:48:36Z"
}
],
"PageNumber": 1,
"PageSize": 10,
"TotalItemCount": 2
},
"Succeeded": true,
"Error": null,
"CapturedValues": {}
}